import {Component, Host, h} from '@stencil/core';

@Component({
  tag: 'hy-grid-row',
  styleUrl: 'grid-row.scss',
  shadow: false
})
export class GridRow {
  render() {
    const classAttributes = ['hy-grid__row'];
    return (
      <Host class={classAttributes.join(' ')}>
        <slot />
      </Host>
    );
  }
}
