import {Component, h, Host} from '@stencil/core';

@Component({
  tag: 'hy-filter-visibility-tool-toggle',
  shadow: false,
})
export class HyFilterVisibilityToolToggle {
  render() {
    return (
      <Host>
        <button class="hy-filter-visibility-tool hy-filter-visibility-tool--show-more" type="button">
          <hy-icon class="hy-filter-visibility-tool__icon" icon={'hy-icon-plus'} size={12} aria-hidden="true" />
          Show more filters
        </button>
        <button class="hy-filter-visibility-tool hy-filter-visibility-tool--show-less" type="button">
          <hy-icon class="hy-filter-visibility-tool__icon" icon={'hy-icon-minus'} size={12} aria-hidden="true" />
          Show less filters
        </button>
      </Host>
    );
  }
}
