# menu-level-container

<!-- Auto Generated Below -->

## Properties

| Property                  | Attribute                    | Description                                 | Type                                                                                               | Default           |
| ------------------------- | ---------------------------- | ------------------------------------------- | -------------------------------------------------------------------------------------------------- | ----------------- |
| `activeTrailTriggered`    | `active-trail-triggered`     |                                             | `boolean`                                                                                          | `false`           |
| `depth`                   | `depth`                      |                                             | `number`                                                                                           | `0`               |
| `frontLabel`              | `front-label`                | label for front page for panel first parent | `string`                                                                                           | `undefined`       |
| `frontUrl`                | `front-url`                  | Url to front page for panel first parent    | `string`                                                                                           | `undefined`       |
| `headingItem`             | `heading-item`               |                                             | `any`                                                                                              | `undefined`       |
| `labelFrontPage`          | `label-front-page`           |                                             | `string`                                                                                           | `undefined`       |
| `menuButtonSubmenuExpand` | `menu-button-submenu-expand` |                                             | `string`                                                                                           | `undefined`       |
| `menuLevel`               | `menu-level`                 |                                             | `number`                                                                                           | `undefined`       |
| `menuType`                | `menu-type`                  |                                             | `MenuType.desktop \| MenuType.mobile \| MenuType.sidenav \| MenuType.sidepanel \| MenuType.tablet` | `MenuType.mobile` |
| `triggerItem`             | `trigger-item`               |                                             | `string`                                                                                           | `undefined`       |

## Dependencies

### Depends on

- [hy-menu-item](../menu-item)
- [hy-icon](../../icon)

### Graph

```mermaid
graph TD;
  hy-menu-level-container --> hy-menu-item
  hy-menu-level-container --> hy-icon
  hy-menu-item --> hy-icon
  style hy-menu-level-container fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
