# hy-content-list-item

<!-- Auto Generated Below -->

## Properties

| Property                 | Attribute                  | Description | Type                                            | Default                  |
| ------------------------ | -------------------------- | ----------- | ----------------------------------------------- | ------------------------ |
| `courseCode`             | `course-code`              |             | `string`                                        | `undefined`              |
| `courseCredits`          | `course-credits`           |             | `string`                                        | `undefined`              |
| `courseEndDate`          | `course-end-date`          |             | `string`                                        | `undefined`              |
| `courseEnrollmentLink`   | `course-enrollment-link`   |             | `string`                                        | `undefined`              |
| `courseLinkLabel`        | `course-link-label`        |             | `string`                                        | `undefined`              |
| `courseName`             | `course-name`              |             | `string`                                        | `undefined`              |
| `courseOrganisation`     | `course-organisation`      |             | `string`                                        | `undefined`              |
| `courseStartDate`        | `course-start-date`        |             | `string`                                        | `undefined`              |
| `courseStudyFormat`      | `course-study-format`      |             | `string`                                        | `undefined`              |
| `courseTags`             | `course-tags`              |             | `TagValue[] \| string`                          | `undefined`              |
| `courseTeachingLanguage` | `course-teaching-language` |             | `string`                                        | `undefined`              |
| `variant`                | `variant`                  |             | `CourseVariants.default \| CourseVariants.grid` | `CourseVariants.default` |

## Dependencies

### Used by

- [hy-content-list](../hy-content-list)

### Depends on

- [hy-tag](../../hy-tag)
- [hy-icon](../../icon)

### Graph

```mermaid
graph TD;
  hy-content-list-item --> hy-tag
  hy-content-list-item --> hy-icon
  hy-content-list --> hy-content-list-item
  style hy-content-list-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
