# hy-list-item

<!-- Auto Generated Below -->

## Properties

| Property                 | Attribute                   | Description | Type                                                           | Default                    |
| ------------------------ | --------------------------- | ----------- | -------------------------------------------------------------- | -------------------------- |
| `additionalInfo`         | `additional-info`           |             | `AdditionalInfo[] \| string`                                   | `undefined`                |
| `headerstyle`            | `headerstyle`               |             | `string`                                                       | `'common'`                 |
| `imageLabel`             | `image-label`               |             | `string`                                                       | `undefined`                |
| `isExternal`             | `is-external`               |             | `boolean`                                                      | `false`                    |
| `itemDescription`        | `item-description`          |             | `any`                                                          | `undefined`                |
| `itemImageAlt`           | `item-image-alt`            |             | `string`                                                       | `undefined`                |
| `itemImageUrl`           | `item-image-url`            |             | `string`                                                       | `undefined`                |
| `itemTitle`              | `item-title`                |             | `string`                                                       | `undefined`                |
| `itemType`               | `item-type`                 |             | `string`                                                       | `undefined`                |
| `outGoingUrlLabel`       | `out-going-url-label`       |             | `string`                                                       | `'Go to programme page'`   |
| `relatedLinks`           | `related-links`             |             | `RelatedLink[] \| string`                                      | `undefined`                |
| `relatedLinksBlockTitle` | `related-links-block-title` |             | `string`                                                       | `undefined`                |
| `scLabel`                | `sc-label`                  |             | `string`                                                       | `undefined`                |
| `url`                    | `url`                       |             | `string`                                                       | `undefined`                |
| `variant`                | `variant`                   |             | `ListItemVariants.default \| ListItemVariants.degreeProgramme` | `ListItemVariants.default` |

## Dependencies

### Depends on

- [hy-icon](../icon)

### Graph

```mermaid
graph TD;
  hy-list-item --> hy-icon
  style hy-list-item fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
