# hy-shortcuts

<!-- Auto Generated Below -->

## Properties

| Property      | Attribute      | Description | Type                            | Default     |
| ------------- | -------------- | ----------- | ------------------------------- | ----------- |
| `dataItems`   | `data-items`   |             | `ShortcutLinkValue[] \| string` | `undefined` |
| `headerstyle` | `headerstyle`  |             | `string`                        | `'default'` |
| `listHeading` | `list-heading` |             | `string`                        | `''`        |

## Dependencies

### Depends on

- [hy-heading](../heading)
- [hy-icon](../icon)
- [hy-box](../hy-box)

### Graph

```mermaid
graph TD;
  hy-shortcuts --> hy-heading
  hy-shortcuts --> hy-icon
  hy-shortcuts --> hy-box
  hy-heading --> hy-box
  style hy-shortcuts fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
