# menu

<!-- Auto Generated Below -->

## Properties

| Property                      | Attribute                        | Description | Type                                                                                               | Default            |
| ----------------------------- | -------------------------------- | ----------- | -------------------------------------------------------------------------------------------------- | ------------------ |
| `dataMenuDonate`              | `data-menu-donate`               |             | `string`                                                                                           | `undefined`        |
| `dataMenuLanguage`            | `data-menu-language`             |             | `string`                                                                                           | `undefined`        |
| `isDemo`                      | `is-demo`                        |             | `boolean`                                                                                          | `false`            |
| `labelFrontPage`              | `label-front-page`               |             | `string`                                                                                           | `undefined`        |
| `logoLabel`                   | `logo-label`                     |             | `string`                                                                                           | `undefined`        |
| `logoUrl`                     | `logo-url`                       |             | `string`                                                                                           | `undefined`        |
| `menuButtonBreadcrumbHome`    | `menu-button-breadcrumb-home`    |             | `string`                                                                                           | `undefined`        |
| `menuButtonBreadcrumbLogourl` | `menu-button-breadcrumb-logourl` |             | `string`                                                                                           | `undefined`        |
| `menuButtonBreadcrumbMain`    | `menu-button-breadcrumb-main`    |             | `string`                                                                                           | `undefined`        |
| `menuButtonBreadcrumbReturn`  | `menu-button-breadcrumb-return`  |             | `string`                                                                                           | `undefined`        |
| `menuButtonSubmenuExpand`     | `menu-button-submenu-expand`     |             | `string`                                                                                           | `undefined`        |
| `menuIsOpen`                  | `menu-is-open`                   |             | `boolean`                                                                                          | `true`             |
| `menuType`                    | `menu-type`                      |             | `MenuType.desktop \| MenuType.mobile \| MenuType.sidenav \| MenuType.sidepanel \| MenuType.tablet` | `MenuType.desktop` |

## Events

| Event                  | Description | Type               |
| ---------------------- | ----------- | ------------------ |
| `menuContainerToggled` |             | `CustomEvent<any>` |

## Dependencies

### Depends on

- [hy-site-logo](../../site-header/site-logo)
- [hy-menu-language](../menu-language)
- [hy-menu-mobile-breadcrumb](../menu-mobile-breadcrumb)

### Graph

```mermaid
graph TD;
  hy-menu --> hy-site-logo
  hy-menu --> hy-menu-language
  hy-menu --> hy-menu-mobile-breadcrumb
  hy-site-logo --> hy-icon
  hy-menu-language --> hy-menu-language-item
  hy-menu-language --> hy-icon
  hy-menu-mobile-breadcrumb --> hy-icon
  style hy-menu fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
