# search

<!-- Auto Generated Below -->

## Properties

| Property                 | Attribute                   | Description | Type                                       | Default              |
| ------------------------ | --------------------------- | ----------- | ------------------------------------------ | -------------------- |
| `color`                  | `color`                     |             | `ColorVariant.black \| ColorVariant.white` | `ColorVariant.black` |
| `dataSearchSpecialTools` | `data-search-special-tools` |             | `string`                                   | `undefined`          |
| `isAlternative`          | `is-alternative`            |             | `boolean`                                  | `false`              |
| `labels`                 | `labels`                    |             | `ComponentLabels[] \| string`              | `undefined`          |
| `searchLabels`           | `search-labels`             |             | `string`                                   | `undefined`          |
| `searchTools`            | `search-tools`              |             | `string`                                   | `undefined`          |
| `showLabel`              | `show-label`                |             | `boolean`                                  | `false`              |
| `size`                   | `size`                      |             | `number`                                   | `undefined`          |

## Events

| Event                | Description | Type               |
| -------------------- | ----------- | ------------------ |
| `searchPanelToggled` |             | `CustomEvent<any>` |

## Dependencies

### Used by

- [hy-site-header](..)

### Depends on

- [hy-icon](../../icon)
- [hy-search-field](../../hy-search-field)
- [hy-paragraph-text](../../paragraph-text)

### Graph

```mermaid
graph TD;
  hy-site-search --> hy-icon
  hy-site-search --> hy-search-field
  hy-site-search --> hy-paragraph-text
  hy-search-field --> hy-icon
  hy-paragraph-text --> hy-box
  hy-site-header --> hy-site-search
  style hy-site-search fill:#f9f,stroke:#333,stroke-width:4px
```

---

Helsinki University Design System
